/**
 * Fichero que incluye todos los datos de configuraci.An del juego.
 * Estos datos sern las etiquetas que se usan en todos los archivos y directorios.
 */

#ifndef __CONFIGURACION__
#define __CONFIGURACION__

static const char version[] = "1.0";                              //Versin del juego
static const char guardado[] = "saves/";                          //directorio de partidas guardadas
static const char dir_ayuda[] = "help/";                          //directorio de archivos de ayuda
static const char archivo_configuracion[] = "street_master.conf"; //archivo de configuracion
static const char tarjetasSuerte[] = "suerte";                    //identificador del mazo de tarjetas de suerte
static const char tarjetasCaja[] = "caja_comunidad";              //identificador del mazo de tarjetas de caja de comunidad
static const char Csalida[] = "salida";                           //etiqueta que indica la casilla como salida en el fichero del tablero
static const char Ctarjeta[] = "tarjeta";                         //etiqueta que indica la casilla como casilla de tarjetas  
                                                                  //en el fichero del tablero
static const char Ccalle[] = "calle";                             //etiqueta que indica la casilla como calle en el fichero del tablero
static const char Cimpuesto[] = "impuesto";                       //etiqueta que indica la casilla como casilla de impuestos en 
                                                                  //el fichero del tablero
static const char Cimpuesto_especial[] = "impuesto_especial";    //indica la casilla como casilla de impuesto5  en el fichero del tablero
static const char Ccarcel[] = "carcel";                          //etiqueta que indica la casilla como casilla de carcel en el 
                                                                 //fichero del tablero
static const char Cservicio[] = "servicio";                       //etiqueta que indica la casilla como casilla de servicio en el 
                                                                 //fichero del tablero
static const char Cestacion[] = "estacion"; //etiqueta que indica la casilla como casilla de estacion en el fichero del tablero
static const char Ca_la_carcel[] = "a_la_carcel"; //etiqueta que indica la casilla como casilla encarceladora en el fichero del tablero
static const char Cparking[] = "parking"; //etiqueta que indica la casilla como casilla parking en el fichero del tablero
static const char IndexMinicomo[] = "minicomo/index.html";        //P.bgina de inicio del minicomo en HTML
static const char MinicomoTxt[] = "minicomo/minicomo.txt";        //Pgina de inicio del minicomo en modo texto

#endif
