/**********************************************************************************
				encarceladora.cpp
	
Programa: 	28
Nombre:		Javier Aragn Zabalegui		100039831@alumnos.uc3m.es
Fecha_inicio:	18.Marzo.2006
Descripcion:	Clase encarceladora para Street Master's
			
Comentarios:	Hereda de casilla
**********************************************************************************/

/**********************************************************************************
Listado de contenidos:
	include "salida.h"

**********************************************************************************/

#include "encarceladora.h"
#include "tablero.h"

// Constructor por defecto
encarceladora::encarceladora ()
  : casilla ()
{
  // No se hace nada!
}

// constructor explcito
encarceladora::encarceladora ( int numero, string nombre, string nombreCorto )
  : casilla ( numero, nombre, nombreCorto )
{
  // No se hace nada!
}
 
// Copy constructor
encarceladora::encarceladora (const encarceladora& right):casilla ( right )
{
  // No se hace nada!
}

// Assignment operator
encarceladora& encarceladora::operator= (const encarceladora& right)
{  
  casilla::operator= ( right );  
  return ( *this );
}

// Destructor
encarceladora::~encarceladora ()
{
  // No se hace nada!
}

/**
 * Mtodo polimrfico de la clase casilla. En este caso el jugador ser enviado a la casilla
 * de tipo crcel del tablero.
 */
int encarceladora::accion ( jugador* player )
{
  cout << player->get_nombre() << " debes ir a la crcel por caer en la casilla 'A LA CRCEL'. " 
       << "Adems no cobrars por pasar por la casilla de salida." << endl;
  //Coloca los turnos que debe encarcelarse al jugador
  player->set_turnosEncarcelado( 2 );

  //Reinicia el contador de tiradas dobles
  player->set_tiradasDobles ( 0 );

  //Encarcela al jugador
  tablero::encarcelar ( player );

  return 0;
}
