/**************************************************************************
 *
 * Librer.ba que incluye mtodos tilies para el tratemiento de ficheros.
 *
 * Autor: Javier AragÎn Zabalegui
 * Contacto: 100039831@alumnos.uc3m.es
 * VersiÎn: 1.0
 *************************************************************************/

#include <fstream>
#include <iostream>
using namespace std;


/**
 * Funci.An que muestra un fichero por pantalla, que viene dado por el nombre 
 * que se le pasar como parmetro. Devuelve 0 si la lectura es correcta y -1
 * si se producen errores. 
 */
int mostrar_fichero ( string fichero );

/**
 * Funcin que devuelve en un string el contenido del fichero dado por el nombre 
 * que se le pasar como parmetro. Se devuelve 0 si es posible leer el fichero
 * y -1 si da error. 
 */
int obtener_fichero ( string fichero, string &contenido );

/**
 * Funcin que muestra un fichero por pantalla, que viene dado por el nombre 
 * que se le pasar como parmetro. Se mostrarn las lneas que se encuentran
 * entre inicio y fin.
 * IN: Fichero-> Nombre del fichero que se desea mostrar
 * OUT: 0 si ok, -1 si error 
 */
int mostrar_fichero_acotado ( string fichero, int inicio, int fin, bool &endf );

/**
 * Mtodo que muestra un fichero paginado en el tamao de pgina que se indica en la
 * variable pgina.
 */
void paginar_fichero ( string fichero, int pagina );
